/*-----------------------------*/
/*      move.h                 */
/*     class Move header file  */
/* 2004.1.30 MIRS0204          */
/*-----------------------------*/

#ifndef _MOVE_H
#define _MOVE_H

#include "pwm_enc.h"
#include "pwm.h"
#include "enc.h"

class Move{
private:
	Pwm pwm;
//	Passive ts;
//	Passive wls;
//	Passive dcp;
public:
	Move(void);
	~Move(void);
	
	int goStraight(void);
	int goStraight(const int dist);
	int turn(int c);
	int turn(const double angle);
	int turnUss(int *ussd);
	int turnPost(void);
	void stop(void);
};

#endif
