/*-----------------------------*/
/*      passive.h              */
/* class Passive  header file  */
/* 2004.1.22  MIRS0204         */
/*-----------------------------*/

#ifndef _PASSIVE_H
#define _PASSIVE_H

typedef enum {
	ts,
	dcp,
	wls,
} sensor;

typedef enum {
	off,
	on
} scan;

class Passive{
private:
	int value;
	sensor mode;
	static int data;
	static int fd;  /* file descriptor */
	static int instance; // number of instances
public:
	Passive(const sensor s); /* constructor */
	~Passive(void); /* destructor */
	operator int(void); /* when reference as int */
	
	int getValue(const scan sc=off);
	int getValue(const int num, const scan sc=off);
	
	static int scanData(void);
	static void showData(void);
};

#endif
