/* duty_test.cpp */

#include <iostream.h>
#include <stdlib.h>
#include <unistd.h>

#include "passive.h"

extern "C"{
#include "func_extern.h"
#include "pwm_enc.h"
}

int getArg(void);

int main(void)
{
  	Passive ts(ts);
  	int i;
  	pwm_enco_stop();
  	int l,r;
	float left_enc, right_enc;
	int br;
	float left_old=0, right_old=0;

  	for(;;){
    		cout << "Left  > ";
    		cin >> l;
    		cout << "Right > ";
    		cin >> r;
  
    if( abs(l)<=100 && abs(r)<=100 ){
    	pwm_both_data(l, r);
    	pwm_enco_start(10000);
    	usleep(500000);
    	do{
      	   i = ts.getValue();
   	   usleep(50000);
	   encoder_data2(&left_enc, &right_enc, &br);
	   cout << "Left: "<< left_enc << "   Right: " << right_enc;
		cout << "      left: " << left_enc-left_old;
		cout << "  right: " << right_enc-right_old << endl;
		left_old = left_enc;
		right_old = right_enc;
        }while(i == 0);
	pwm_both_data(0, 0);
	pwm_enco_start(10000);
        cout << endl;

    }else{
	cout << "Stop." << endl;
	pwm_both_data(0, 0);
	pwm_enco_start(10000);
	usleep(50000);
	pwm_enco_stop();
	break;
    }
  }  
  return EXIT_SUCCESS;
}

  




