#include <stdio.h>
#include <errno.h>
#include <sys/time.h>
#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <rtl_fifo.h>
#include <rtl_time.h>
#include <rtl_debug.h>

#define BUFSIZE 10

int buf[BUFSIZE];
int cmd;

int main()
{
	int d = 0;
	int l = 0;
	int uss[5];
	fd_set rfds;
        struct timeval tv;
        int retval;
	int fd0, ctl;
	int n;
	
	if ((fd0 = open("/dev/rtf2", O_RDONLY)) < 0) {
		fprintf(stderr, "Error opening /dev/rtf2\n");
		exit(1);
	}

	if ((ctl = open("/dev/rtf1", O_WRONLY)) < 0) {
		fprintf(stderr, "Error opening /dev/rtf1\n");
		exit(1);
	}
	while(1) {
                for(l = 1; l < 5; l++) {
                        cmd = l;
                        if (write(ctl, &cmd, sizeof(int)) < 0){
                                fprintf(stderr, "uss_transmit:now sending commands to uss%d.\n", cmd);
                                continue;
                        }
                        FD_ZERO(&rfds);
                        FD_SET(fd0, &rfds);
                        tv.tv_sec = 0;
                        tv.tv_usec = 100000;

                        retval = select(FD_SETSIZE, &rfds, NULL, NULL, &tv);
                        if (retval > 0) {
                                if (FD_ISSET(fd0, &rfds)) {
                                        n = read(fd0, buf, BUFSIZE - 1);
                                        buf[n] = 0;
                                        printf("buf[0] = %d\n",buf[0]);
                                        uss[cmd] = buf[0];
				        printf("uss[%d] = %dmm.\n",cmd, buf[0]);
                                }
                        }
                usleep(1000000);
                }
        }
	close(fd0);
	close(ctl);
        fprintf(stderr, "uss_app: stopped application.\n");
	return 0;
}
