/*-----------------------------*/
/*      enc.h                  */
/* class Enc header file       */
/* 2003.11.20 MIRS0204         */
/*-----------------------------*/

#ifndef _ENC_H
#define _ENC_H

#include "pwm_enc.h"

class Enc{
private:
	int fd;
	int init_flg;

	int l_distance;
	int r_distance;
	int l_speed;
	int r_speed;
	int l_now;
	int r_now;
	int l_old;
	int r_old;
//	int left_count;
//	int right_count;
//	int left_sum;
//	int right_sum;
	
public:
	Enc(void);
	~Enc(void);
	
	int getValue(void);
	
	int getDistance(position p);
	int getSpeed(position p);
	void reset(void);
	
};


#endif
