/*-----------------------------*/
/*      mirs.cpp               */
/*     mirs exe                */
/* 2004.2.5   MIRS0204         */
/*-----------------------------*/


#include <iostream.h>
#include <stdlib.h>
#include <unistd.h>

#include "pwm_enc.h"
#include "move.h"
#include "passive.h"
#include "uss.h"

int main(void)
{
	Move move;
	Passive ts(ts);
	Passive wls(wls);
	Uss uss;
	int i,data;
	cin >> i;
	move.goStraight(1500);
	for(i=0;i<20;i++){
		data=uss.getValue(1);
		if(data>200 && data <1600){
			i=20;
		}else{
			move.turn(10.0);
		}
	}
	
	for(;;){
		move.goStraight();
		if(wls.getValue(on)==0){
			do{
				ts.getValue(on);
				move.goStraight(-130);
				if(ts.getValue(0)==1 || ts.getValue(1)==1){
					move.turn(10.0);
					move.goStraight();
				}else if(ts.getValue(3)==1 || ts.getValue(4)==1){
					move.turn(-10.0);
					move.goStraight();
				}else if(ts.getValue(2)==1){
					i=0;
				}
			}while(i!=0);
			move.goStraight(-130);
			move.turn(-90.0);
			move.turnPost();
			move.turn(90.0);
			move.goStraight();
			move.goStraight(-150);
			move.turn(180.0);
		}else{

			move.goStraight(-150);
			if(wls.getValue(0)==1){
				move.turn(-90.0);
			}else if(wls.getValue(1)==1){
				move.turn(100.0);
			}
		}
	}
	return EXIT_SUCCESS;
}
