/*-----------------------------*/
/*      pwm.h                  */
/* class Pwm header file       */
/* xxxx.xx.xx MIRS0204         */
/*-----------------------------*/

#ifndef _PWM_H
#define _PWM_H

#include "pwm_enc.h"

class Pwm{
private:
	int fd_rtf4;
	int fd_rtf5;
	double velocity;
//	int directioni;
	struct my_msg_struct msg; // struct
	struct pwm_speed_data pwmd; // struct

	void data_write(const int left, const int right, const int tup, const int mode);
	
public:
	Pwm(void);
	~Pwm(void);
	void setPwm(int left_duty, int right_duty);
	int stopPwm(void);
};

#endif
