#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include <sys/ioctl.h>
#include <sys/kd.h>

#define BEEP_TIME 1000
#define Cpp  3824/4
#define Cp   3822/2
#define CPp  3608/2
#define DMp  3608/2
#define Dp   3406/2
#define DPp  3216/2
#define EMp  3216/2
#define Ep   3034/2
#define Fp   2864/2
#define FPp  2704/2
#define GMp  2704/2
#define Gp   2552/2
#define GPp  2408/2
#define AMp  2408/2
#define Ap   2274/2
#define APp  2146/2
#define BMp  2146/2
#define Bp   2062/2
#define C    3822
#define CP   3608
#define DM   3608
#define D    3406
#define DP   3216
#define EM   3216
#define E    3034
#define F    2864
#define FP   2703
#define GM   2703
#define G    2551
#define GP   2408
#define AM   2408
#define A    2273
#define AP   2145
#define BM   2145
#define B    2025
#define Cm   3822*2
#define CPm  3608*2
#define DMm  3608*2
#define Dm   3406*2
#define DPm  3216*2
#define EMm  3216*2
#define Em   3034*2
#define Fm   2864*2
#define FPm  2703*2
#define GMm  2703*2
#define Gm   2551*2
#define GPm  2408*2
#define AMm  2408*2
#define Am   2273*2
#define APm  2145*2
#define BMm  2145*2
#define Bm   2025*2
#define Cmm  3822*4

void beep(double oto, unsigned int freq)
{
    	int fd, arg, ms;
	ms = (int)(1000.0 / oto);
    	fd = open("/dev/console", O_RDWR);
    	if (fd < 0)
        	return;
    	arg = (ms << 16) | freq;
    	ioctl(fd, KDMKTONE, arg);
    	close(fd);
    	usleep((int)(1500000/oto));

}

int main(void)
{
	beep(12,Cp);
	beep(12,Cp);
	beep(12,Cp);
	beep(4,Cp);
	beep(4,GP);
	beep(4,AP);
	beep(6,Cp);
	beep(12,AP);
	beep(1.3,Cp);

	usleep(1000);
	return EXIT_SUCCESS;
}
