/* disp.h */

#ifndef _DISP_H
#define _DISP_H

#define CLR 	"\033[2J"  /* clear */
#define DEFAULT	"\033[0m"
#define BOLD	"\033[1m"
#define TURN	"\033[7m" 
#define BLACK	"\033[30m"
#define RED	"\033[31m"
#define GREEN	"\033[32m"
#define YELLOW	"\033[33m"
#define BLUE	"\033[34m"
#define MAGENTA	"\033[35m"
#define CYAN	"\033[36m"
#define WHITE	"\033[37m"

/* locate(x,y) x:1->80, y:1->25 */
#ifdef __cplusplus
#define locate(x,y) cout << "\033[" << y << ';' << x << 'H'
#else
#define locate(x,y) printf("\033[%d;%dH",y,x)
#endif /* __cplusplus */

#endif /* _DISP_H */
