/* passive_test.cpp */

#include <iostream.h>
#include <stdlib.h>
#include <unistd.h>

#include "passive.h"
#include "disp.h"

void showLogo(void);
void showDcp(int d);

int main(void)
{
	Passive ts(ts);
	Passive dcp(dcp);
	Passive wls(wls);
	
	int now_val=0, old_val=1;
	int count=0;

	cout << CLR;
	locate(1,1);
	showLogo();
	
	for(;;){
		now_val = Passive::scanData();
		if(now_val != old_val){
			locate(1,6);
			ts.getValue();
			int i;
			for(i=0;i<6;i++){
				if(ts.getValue(i)==1) cout << BOLD << YELLOW;
				cout << "TS_" << i << "  " << DEFAULT;
			}
			cout << "\n\n";
			
			showDcp(dcp.getValue());

			wls.getValue();
			for(i=0;i<2;i++){
				if(wls.getValue(i)==1) cout << BOLD << YELLOW;
				cout << "WLS_" << i << "  " << DEFAULT;
			}
			cout << "\n\n";

			cout << "-------------------\n";
			Passive::showData();
			cout << "FEDC BA98 7654 3210\n";

			old_val = now_val;
			cout << flush;
		}
		
		locate(1,20);
		cout << "count: " << count++ << endl;
		usleep(50000); // 50msec
	}
	return EXIT_SUCCESS;
}

void showLogo(void)
{
	cout << BOLD << GREEN << "MIRS" << CYAN << "0204\n\n";
	cout << BLUE << "Test Program  ";
	cout << WHITE << TURN << " Touch Sensor, Digital Compass and White Line Sensor \n\n";
	cout << DEFAULT;
}

void showDcp(int d)
{
	if(d == 7) cout << BOLD << GREEN;
	cout << "  NW " << DEFAULT;

	if(d == 3) cout << BOLD << GREEN;
	cout << "  N " << DEFAULT;

	if(d == 2) cout << BOLD << GREEN;
	cout << "  NE \n" << DEFAULT;

	if(d == 5) cout << BOLD << GREEN;
	cout << "   W     " << DEFAULT;

	if(d == 6) cout << BOLD << GREEN;
	cout << "  E \n" << DEFAULT;

	if(d == 1) cout << BOLD << GREEN;
	cout << "  SW " << DEFAULT;

	if(d == 0) cout << BOLD << GREEN;
	cout << "  S " << DEFAULT;

	if(d == 4) cout << BOLD << GREEN;
	cout << "  SE \n\n\n" << DEFAULT;

}
