/*-----------------------------*/
/*      place.h                */
/* class Place header file     */
/* 2003.06.10 MIRS0204         */
/*-----------------------------*/

#ifndef _PLACE_H
#define _PLACE_H

/*define coordinates type*/
typedef enum {
	cartesian,
	polar
} coordinates;

class Place{
private:
	double m_x;  /**/
	double m_y;
	double m_r;
	double m_a;
	double m_d;
public:
	Place(double a=0, double b=0,coordinates c=cartesian);
	~Place(void);
	void setPlace(double a=0, double b=0,coordinates c=cartesian);
	double getPlaceX(void);
	double getPlaceY(void);
	double getPlaceR(void);
	double getPlaceA(void);
	double getPlaceD(void);
};

#endif
