/*---------------------------------------------------------------------------*/
/*  uss_test.cpp */
/*---------------------------------------------------------------------------*/

#include <iostream.h>
#include <stdlib.h>
#include <string.h> // memset()
#include <unistd.h>

#include "uss.h"
#include "disp.h"

void showLogo(void);

int main(void)
{
	Uss uss;
	int now_val[4];
	int old_val[4];
	memset(now_val, 0, sizeof(now_val));
	memset(old_val, 0, sizeof(old_val));
	int count=0;	

	cout << CLR;
	locate(1,1);
	showLogo();
	
	for(;;){
		locate(1,6);
		cout << "--------------------------------\n";
		int i;
		for(i=0;i<4;i++){
			now_val[i] = uss.getValue(i);
			if(now_val[i] != old_val[i]){
				cout << BOLD << YELLOW;
			}
			cout << "USS No." << i << ": " << now_val[i] << " mm";
			cout << "                                       \n\n";
			cout << DEFAULT;
			old_val[i] = now_val[i];
			usleep(200000);
		}
		cout << "--------------------------------\n";
		cout << "\n\ncount: " << count++ << endl;
		// cout << flush;
		//sleep(1); // 1sec
	}
	return EXIT_SUCCESS;
}

void showLogo(void)
{
	cout << BOLD << GREEN << "MIRS" << CYAN << "0204\n\n";
	cout << BLUE << "Test Program  ";
	cout << WHITE << TURN << BOLD << " Ultra Sonic Sensor \n\n";
	cout << DEFAULT;
}
