#include <stdio.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/time.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include "pwm_enc.h"


void encoder_data2(float *l_distance, float *r_distance, int *br)
{
	fd_set rfds;
	struct timeval tv;
	struct count_data count;
//	struct count_data data[2];
	int retval1, retval2;
	int fd1 = 0; 

	if ((fd1 = open("/dev/rtf3", O_RDONLY)) < 0) {
                fprintf(stderr, "Error opening /dev/rtf3\n");
                return;
        }

	FD_ZERO(&rfds);
	FD_SET(fd1, &rfds);
	tv.tv_sec = 0;
	tv.tv_usec = 100000;

	retval1 = select(FD_SETSIZE, &rfds, NULL, NULL, &tv);
	if(retval1 > 0){
		while(1){
			read(fd1, &count, sizeof(count));
			retval2 = select(FD_SETSIZE, &rfds, NULL, NULL, &tv);
			if(retval2 == 0) break;
		}
	}
#if 0
	*l_distance = 1.0*count.left_sum * 360 / (cpr * gear);
	*r_distance = 1.0*count.right_sum * 360 / (cpr * gear); 
#endif
	*l_distance = count.left_sum;
	*r_distance = count.right_sum;
	*br = count.br;
	close(fd1);
}
