#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#include <sys/ioctl.h>
#include <sys/kd.h>

#define BEEP_TIME 150
#define BEEP_OK   1000
#define BEEP_WARN 2000
#define BEEP_ERR  4000

void beep(unsigned int ms, unsigned int freq)
{
    int fd, arg;

    fd = open("/dev/console", O_RDWR);
    if (fd < 0)
        return;
    arg = (ms << 16) | freq;
    ioctl(fd, KDMKTONE, arg);
    close(fd);
    usleep(ms*1000);
}

main()
{

  beep(BEEP_TIME, BEEP_OK);
  usleep(100000);

  beep(BEEP_TIME, BEEP_WARN);
  usleep(100000);

  beep(BEEP_TIME, BEEP_OK);
  usleep(100000);

  beep(BEEP_TIME, BEEP_WARN);
  usleep(100000);
}

